=== debian/changelog ===
rocm-llvm (7.0.2+dfsg-3) unstable; urgency=medium

  * d/control: libamd-comgr3 now depends on libclang-common-21-dev
    to provide opencl-c-base.h (Closes: #1120886)

 -- Cordell Bloor <cgmb@debian.org>  Thu, 05 Feb 2026 16:46:09 -0700

rocm-llvm (7.0.2+dfsg-2) unstable; urgency=medium

  * Change HIP_CLANG_PATH from /usr/bin to /usr/lib/llvm-21/bin because
    this improves compatibility with tooling that expects the compiler
    name to be clang++ without any version suffix.
    * It is no longer necessary to explicitly specify HIPCXX for CMake
      when using the HIP language if hipcc is installed (Closes: #1118435)
  * Set minimum libamdhip64-dev version for hipcc to 6.4.3 as a workaround
    for underspecified dependencies in the rocm-hipamd 5.7.1 autopkgtests

 -- Cordell Bloor <cgmb@debian.org>  Wed, 26 Nov 2025 17:47:24 -0700
