=== debian/control ===
Source: rocm-llvm
Section: devel
Priority: optional
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Xuanteng Huang <xuanteng.huang@outlook.com>,
           Christian Kastner <ckk@debian.org>,
           Cordell Bloor <cgmb@debian.org>
Standards-Version: 4.7.2
Homepage: https://github.com/ROCm/llvm-project
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-llvm
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-llvm.git
Build-Depends: debhelper-compat (= 13),
               cmake,
               clang-21,
               clang-tools-21,
               libclang-21-dev,
               libclang-rt-21-dev,
               libhsa-runtime-dev (>= 6.1.2~),
               libnuma-dev,
               lld-21,
               liblld-21-dev,
               llvm-21-dev,
               libzstd-dev,
               zlib1g-dev,
               libxml2-dev,
               chrpath,
Rules-Requires-Root: no

Package: hipcc
Section: devel
Architecture: amd64 arm64 ppc64el riscv64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         clang-21,
         llvm-21,
         lld-21,
         clang-tools-21,
         libclang-rt-21-dev,
         rocm-device-libs-21 (= ${binary:Version}),
         rocminfo (>= 6.1.2~),
         libamdhip64-dev (>= 6.4.3~)
Description: C++ Runtime API and Kernel Language for AMD and NVIDIA GPUs
 HIP (Heterogeneous Interface for Portability) is a C++ Runtime API and Kernel
 Language that allows developers to create portable applications for AMD and
 NVIDIA GPUs from single source code.
 .
 Key features include:
 .
  * HIP is very thin and has little or no performance impact over coding
    directly in CUDA mode;
  * HIP allows coding in a single-source C++ programming language including
    features such as templates, C++11 lambdas, classes, namespaces, and more;
  * HIP allows developers to use the "best" development environment and tools
    on each target platform;
  * the HIPify tools automatically convert source from CUDA to HIP;
  * developers can specialize for the platform (CUDA or AMD) to tune for
    performance or handle tricky cases.
 .
 New projects can be developed directly in the portable HIP C++ language and
 can run on either NVIDIA or AMD platforms.  Additionally, HIP provides porting
 tools which make it easy to port existing CUDA codes to the HIP layer, with no
 loss of performance as compared to the original CUDA application.  HIP is not
 intended to be a drop-in replacement for CUDA, and developers should expect to
 do some manual coding and performance tuning work to complete the port.
 .
 This package provides the compiler to compile the HIP source programs.

Package: rocm-device-libs-21
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: AMD specific device-side language runtime libraries
 Set of AMD specific device-side language runtime libraries, specifically: the
 Open Compute library controls, the Open Compute Math library, the Open Compute
 Kernel library, the OpenCL built-in library, the HIP built-in library, and the
 Heterogeneous Compute built-in library.

Package: libamd-comgr3
Architecture: amd64 arm64 ppc64el riscv64
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libclang-common-21-dev
Multi-Arch: same
Description: ROCm code object manager
 The Code Object Manager is a shared library which provides operations for
 creating and inspecting LLVM code objects. See the documentation in the
 header file /usr/include/amd_comgr/amd_comgr.h .

Package: libamd-comgr-dev
Architecture: amd64 arm64 ppc64el riscv64
Section: libdevel
Depends: libamd-comgr3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: ROCm code object manager - development package
 The Code Object Manager is a shared library which provides operations for
 creating and inspecting LLVM code objects. See the documentation in the
 header file /usr/include/amd_comgr/amd_comgr.h .
 .
 This package contains the development files.
