=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rocm-llvm
 Section: devel
 Priority: optional
-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Xuanteng Huang <xuanteng.huang@outlook.com>,
            Christian Kastner <ckk@debian.org>,
            Cordell Bloor <cgmb@debian.org>
@@ -28,7 +29,7 @@
 
 Package: hipcc
 Section: devel
-Architecture: amd64 arm64 ppc64el riscv64
+Architecture: amd64 arm64 ppc64el
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          clang-21,
@@ -66,7 +67,7 @@
  This package provides the compiler to compile the HIP source programs.
 
 Package: rocm-device-libs-21
-Architecture: any
+Architecture: amd64 arm64 ppc64el
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -77,11 +78,10 @@
  Heterogeneous Compute built-in library.
 
 Package: libamd-comgr3
-Architecture: amd64 arm64 ppc64el riscv64
+Architecture: amd64 arm64 ppc64el
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libclang-common-21-dev
 Multi-Arch: same
 Description: ROCm code object manager
  The Code Object Manager is a shared library which provides operations for
@@ -89,7 +89,7 @@
  header file /usr/include/amd_comgr/amd_comgr.h .
 
 Package: libamd-comgr-dev
-Architecture: amd64 arm64 ppc64el riscv64
+Architecture: amd64 arm64 ppc64el
 Section: libdevel
 Depends: libamd-comgr3 (= ${binary:Version}),
          ${misc:Depends},
